from django.conf.urls import include, url
from warpauth.views import logout, reset_password, profile, register

urlpatterns = [
    url(r'', include('two_factor.urls', 'two_factor')),
    url(r'^account/logout/$', logout.logout_view, name='logout'),
    url(r'^account/registration/$', register.register, name='register'),
    url(r'^account/registration/activate/(?P<token>\w+)/$', register.activate, name='activate'),
    url(r'^account/registration/resend/$', register.resend_token, name='resend_token'),

    url(r'^account/reset_password/$', reset_password.gen_token, name='reset_password'),
    url(r'^account/reset_password/(?P<reset_hash>\w+)/$', reset_password.change_password, name='index'),

    url(r'^account/profile/$', profile.index, name='profile_index'),
    url(r'^account/profile/change_password/$', profile.change_password, name='change_password'),
    url(r'^account/profile/change_information/$', profile.change_information, name='change_information'),
    url(r'^account/profile/warp_pay_settings/$', profile.warp_pay_settings, name='warp_pay_settings'),


]
